from picamera import PiCamera
from picamera.array import PiRGBArray
import cv2
from time import sleep
from threading import Thread

camera = PiCamera()
camera.resolution = (320, 240)
camera.framerate = 32
rawCapture = PiRGBArray(camera, size=(320,240))
stream = camera.capture_continuous(rawCapture, format='bgr', use_video_port=True)
sleep(0.1)
for f in stream:
    image = f.array
    rawCapture.truncate(0)
    image = cv2.flip(image, 0)
    cv2.imshow("Raw Capture", image)
    if cv2.waitKey(1) != -1:
        break


stream.close()
rawCapture.close()
camera.close()
cv2.destroyAllWindows()


