def abstract(method):
    def exception(*args, **kargs):
        raise Exception(f'Must override an abstract method before calling that method.')
    return exception

def interface(class_name):
    for method_name in dir(class_name):
        if not method_name.startswith('__'):
            setattr(class_name, 'method1', classmethod(abstract(getattr(class_name, method_name))))
    return class_name

def inherits(*args):
    def inner(class_var):
        class_methods = dir(class_var)
        for inherit_class_name in args:
            for inherit_method_name in dir(inherit_class_name):
                if inherit_method_name.startswith('_'):
                    continue
                if inherit_method_name not in class_methods:
                    raise Exception('Must implement all inherited methods')
        return class_var
    return inner


